python3-pytest-cov-2.6.1-1.1.noarch.rpm


Advertisement

Description

python3-pytest-cov - Pytest plugin for coverage reporting

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename python3-pytest-cov-2.6.1-1.1.noarch.rpm
Package name python3-pytest-cov
Package version 2.6.1
Package release 1.1
Package architecture noarch
Package type rpm
Category Development/Languages/Python
Homepage https://github.com/schlamar/pytest-cov
License MIT
Maintainer -
Download size 36.92 KB
Installed size 102.83 KB
This plugin produces coverage reports.  It supports centralised testing
and distributed testing in both load and each modes.  It also supports
coverage of subprocesses.
All features offered by the coverage package should be available, either
through pytest-cov or through coverage's config file.

Alternatives

Package Version Architecture Repository
python3-pytest-cov - - -

Requires

Name Value
python(abi) = 3.7
python3-coverage >= 4.4
python3-pytest >= 3.6

Provides

Name Value
python3-pytest-cov = 2.6.1-1.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package python3-pytest-cov-2.6.1-1.1.noarch.rpm
Source Package python-pytest-cov-2.6.1-1.1.src.rpm

Install Howto

Install python3-pytest-cov rpm package:

# zypper install python3-pytest-cov

Files

Path
/usr/lib/python3.7/site-packages/pytest-cov.pth
/usr/lib/python3.7/site-packages/pytest_cov/__init__.py
/usr/lib/python3.7/site-packages/pytest_cov/compat.py
/usr/lib/python3.7/site-packages/pytest_cov/embed.py
/usr/lib/python3.7/site-packages/pytest_cov/engine.py
/usr/lib/python3.7/site-packages/pytest_cov/plugin.py
/usr/lib/python3.7/site-packages/pytest_cov-2.6.1-py3.7.egg-info/PKG-INFO
/usr/lib/python3.7/site-packages/pytest_cov-2.6.1-py3.7.egg-info/SOURCES.txt
/usr/lib/python3.7/site-packages/pytest_cov-2.6.1-py3.7.egg-info/dependency_links.txt
/usr/lib/python3.7/site-packages/pytest_cov-2.6.1-py3.7.egg-info/entry_points.txt
/usr/lib/python3.7/site-packages/pytest_cov-2.6.1-py3.7.egg-info/not-zip-safe
/usr/lib/python3.7/site-packages/pytest_cov-2.6.1-py3.7.egg-info/requires.txt
/usr/lib/python3.7/site-packages/pytest_cov-2.6.1-py3.7.egg-info/top_level.txt
/usr/lib/python3.7/site-packages/pytest_cov/__pycache__/__init__.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/pytest_cov/__pycache__/__init__.cpython-37.pyc
/usr/lib/python3.7/site-packages/pytest_cov/__pycache__/compat.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/pytest_cov/__pycache__/compat.cpython-37.pyc
/usr/lib/python3.7/site-packages/pytest_cov/__pycache__/embed.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/pytest_cov/__pycache__/embed.cpython-37.pyc
/usr/lib/python3.7/site-packages/pytest_cov/__pycache__/engine.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/pytest_cov/__pycache__/engine.cpython-37.pyc
/usr/lib/python3.7/site-packages/pytest_cov/__pycache__/plugin.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/pytest_cov/__pycache__/plugin.cpython-37.pyc
/usr/share/doc/packages/python3-pytest-cov/AUTHORS.rst
/usr/share/doc/packages/python3-pytest-cov/CHANGELOG.rst
/usr/share/doc/packages/python3-pytest-cov/README.rst
/usr/share/licenses/python3-pytest-cov/LICENSE

Changelog

2019-02-13 - Tomá? Chvátal <tchvatal@suse.com>
- Update to 2.6.1:
* Added support for Pytest 4.1. Contributed by Daniel Hahler and ????? ???????? in #253 and #230.
* Various test and docs fixes. Contributed by Daniel Hahler in #224 and #223.
* Fixed the "Module already imported" issue (#211). Contributed by Daniel Hahler in #228.
2018-10-26 - Ond?ej Súkup <mimi.vx@gmail.com>
- update to 2.6.0
- cleanup deps
* Dropped support for Python < 3.4, Pytest < 3.5 and Coverage < 4.4
* Fixed some documentation formatting.
* Added an example with addopts in documentation.
* Fixed TypeError: 'NoneType' object is not iterable in certain xdist configurations.
* Added a no_cover marker and fixture.
* Fixed broken no_cover check when running doctests.
* Fixed various issues with path normalization in reports
(when combining coverage data from parallel mode).
* Report generation failures don't raise exceptions anymore.
A warning will be logged instead.
2017-09-24 - arun@gmx.de
- update to version 2.5.1:
* Fixed xdist breakage (regression in 2.5.0). Fixes #157.
* Allow setting custom data_file name in .coveragerc. Fixes
[#145]. Contributed by Jannis Leidel & Ionel Cristian M?rie? in
[#156].
- changes from version 2.5.0:
* Always show a summary when --cov-fail-under is used. Contributed
by Francis Niu in PR#141.
* Added --cov-branch option. Fixes #85.
* Improve exception handling in subprocess setup. Fixes #144.
* Fixed handling when --cov is used multiple times. Fixes #151.
2017-03-01 - aloisio@gmx.com
- Update to version 2.4.0:
* Added a "disarm" option: --no-cov. It will disable coverage
measurements. Contributed by Zoltan Kozma in PR#135.
WARNING: Do not put this in your configuration files, it's meant
to be an one-off for situations where you want to disable coverage
from command line.
* Fixed broken exception handling on .pth file. See #136.
- Converted to single-spec
- Switched source URL to pypi.io
2015-10-22 - toddrme2178@gmail.com
- Update to version 2.2.0
* Added support for changing working directory in tests.
Previously changing working directory would disable coverage
measurements in suprocesses.
* Fixed broken handling for --cov-report=annotate.
- Update to version 2.1.0
* Added support for coverage 4.0b2.
* Added the --cov-append command line options.
Contributed by Christian Ledermann in PR#80.
- Update to version 2.0.0
* Added --cov-fail-under, akin to the new fail_under option in
coverage-4.0 (automatically activated if there?s a
[report] fail_under = ... in .coveragerc).
* Changed --cov-report=term to automatically upgrade to
- -cov-report=term-missing if there?s
[run] show_missing = True in .coveragerc.
* Changed --cov so it can be used with no path argument
(in wich case the source settings from .coveragerc will
be used instead).
* Fixed .pth installation to work in all cases
(install, easy_install, wheels, develop etc).
* Fixed .pth uninstallation to work for wheel installs.
* Support for coverage 4.0.
* Data file suffixing changed to use coverage?s
data_suffix=True option (instead of the custom suffixing).
* Avoid warning about missing coverage data
(just like coverage.control.process_startup).
* Fixed a race condition when running with xdist
(all the workers tried to combine the files).
It?s possible that this issue is not present in
pytest-cov 1.8.X.
2015-05-12 - benoit.monin@gmx.fr
- update to version 1.8.1:
* no changelog available
- update project URL
- increase minimum version of python-cov-core and python-pytest
- set a minimum version for python-py
2014-07-30 - toddrme2178@gmail.com
- Update to 1.7.0
* No upstream changelog
2013-08-12 - speilicke@suse.com
- Initial version

See Also

Package Description
python3-pytest-datadir-1.3.0-1.1.noarch.rpm pytest plugin for test data directories and files
python3-pytest-django-3.4.8-1.1.noarch.rpm A Django plugin for py.test
python3-pytest-doctestplus-0.3.0-1.1.noarch.rpm Pytest plugin with advanced doctest features
python3-pytest-dotenv-0.4.0-1.1.noarch.rpm A pytest plugin that parses environment files
python3-pytest-env-0.6.2-2.1.noarch.rpm Pytest plugin to add environment variables
python3-pytest-error-for-skips-1.0.0-2.1.noarch.rpm Pytest plugin to treat skipped tests a test failure
python3-pytest-expect-1.1.0-2.1.noarch.rpm Py.test plugin to store test expectations and mark tests based on them
python3-pytest-faulthandler-1.5.0-2.1.noarch.rpm PyTest plugin that activates the fault handler module for tests
python3-pytest-fixture-config-1.4.0-1.1.noarch.rpm Fixture configuration utils for pytest
python3-pytest-flake8-1.0.4-2.1.noarch.rpm Plugin for pytest to check FLAKE8 requirements
python3-pytest-flakes-4.0.0-2.1.noarch.rpm Pytest plugin to check source code with pyflakes
python3-pytest-forked-1.0.2-1.2.noarch.rpm Run each test in a forked subprocess
python3-pytest-git-1.6.0-1.1.noarch.rpm Git repository fixture for pytest
python3-pytest-helpers-namespace-2019.1.8-1.1.noarch.rpm PyTest Helpers Namespace
python3-pytest-html-1.20.0-1.1.noarch.rpm pytest plugin for generating HTML reports
Advertisement
Advertisement